#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'lelang.edit_tender'}
#{/set}
<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'lelang.home'}</a></li>
    <li><a href="@{lelang.LelangCtr.view(lelang.lls_id)}">&{'lelang.informasi_tender'} </a></li>
    <li class="active">&{'lelang.edit_tende'}</li>
</ol>

<div class="content">
#{alert /}
    #{if isHistory}
        <table class="table table-sm table-bordered" ">
            <tr>
                <th width="200" colspan="4"><center>&{'lelang.data_sebelum_perubahan'}</center></th>
            </tr>
            <tr>
                <th width="200" class="bg-success">&{'lelang.kode_tender'}</th>
                <td colspan="3">${lelang.lls_id}</td>
            </tr>
            <tr>
                <th class="bg-success">&{'lelang.nama_paket'}</th>
                <td colspan="3">
                    *{${historyMap.get("pkt_nama")}}*
                     ${paket.pkt_nama}
                </td>
            </tr>
            <tr>
                <th class="bg-success">PPK</th>
                    <td>
                        ${historyMap.get("ppk_nama")}
                    </td>
                <th class="bg-success" width="200">&{'lelang.nilai_hps'}</th>
                    <td width="400">
                    #{if lelang.isLelangV3()}
                    ${historyMap.get("pkt_hps")}
                    #{/if}
                    #{else}
                        ${paket.pkt_hps.rupiah()}
                    #{/else}
                    </td>
            </tr>
            <tr>
                <th class="bg-success">&{'lelang.nilai_pagu_paket'}t</th>
                <td>
                      ${historyMap.get("pkt_pagu")}
                </td>
                </td>
                <th class="bg-success">&{'lelang.kualifikasi_usaha'}</th>
                <td>
                  ${historyMap.get("kls_id")}
                </td>
            </tr>

            <tr>
                <th class="bg-success" rowspan="2">&{'lelang.jenis_kontrak'}</th>
                <th class="bg-success">&{'lelang.cara_pembayaran'}</th>
                <td colspan="2">
                    ${historyMap.get("kontrak_pembayaran")}
                </td>
            </tr>
            <tr>
                <th class="bg-success">&{'lelang.loc_pekerjaan'}</th>
                <td colspan="3">
                    #{if historyLokasiList.size() > 0}
                        <table class="table table-sm table-bordered">
                            <tr>
                                <td width="150">&{'lelang.provinsi'}</td>
                                <td width="240">&{'lelang.kabupaten'}</td>
                                <td>&{'lelang.deail_loc'}</td>
                            </tr>
                        #{list items:historyLokasiList, as:'lok'}
                            #{set propId:lok?.kabupaten?.propinsi?.prp_nama /}
                            #{set i : lok_index - 1 /}
                            <tr>
                                <td>${propId}</td>
                                <td>
                                   ${lok?.kabupaten?.kbp_nama}
                                </td>
                                <td>
                                    ${lok?.pkt_lokasi}
                                </td>
                            </tr>
                        #{/list}
                        </table>
                    #{/if}
                </td>
            </tr>
        </table>

    #{/if}

    #{form @lelang.LelangCtr.simpanUpdateLelang(lelang.lls_id), id:'formUbahLelang', method:'POST'}
        <table class="table table-sm table-bordered" ">
            <tr>
                <th class="bg-warning" width="200">&{'lelang.kode_tender'}</th>
                <td colspan="3">${lelang.lls_id}</td>
            </tr>
            <tr>
                <th class="bg-warning">&{'lelang.nama_paket'}</th>
                <td colspan="3">
                    ${paket.pkt_nama}
                </td>
            </tr>
            <tr>
                <th class="bgwarning">PPK</th>
                <td>
                    <table class="table table-sm">
                        <tr>
                            <th width="80">NIP</th>
                            <th>&{'lelang.nama_pgawai'}</th>
                            <th width="200">&{'lelang.nama_user'}</th>
                            <th></th>
                        </tr>
                        #{list items:paket?.ppkList, as:'ppk'}
                        <tr>
                            <td>${ppk.peg_nip}</td>
                            <td>${ppk.peg_nama}</td>
                            <td>${ppk.peg_namauser}</td>
                            <td> #{if draft}<a href="@{lelang.PaketCtr.hapus_ppk(paket.pkt_id, ppk.peg_id)}"><i class="fa fa-trash-o fa-lg"></i></a>#{/if}</td>
                        </tr>
                        #{/list}
                    </table>
                    <a class="btn btn-default btn-sm" title="Pilih PPK" href="@{lelang.PaketCtr.ppk(paket.pkt_id, lelang.lls_id)}"> <i class="fa fa-plus-circle"></i>&{'lelang.tbh_ppk'}</a>
                </td>
                <th class="bg-warning" width="200">&{'lelang.nilai_hps'}</th>
                <td>
                    #{if lelang.isLelangV3()}
                        <input type="text" id="nilai_hps"
                               name="paket.pkt_hps" class="form-control "
                               placeholder="Nama paket" value="${paket.pkt_hps.rupiah()}" onchange="this.value=formatCurrency(this.value);"/>
                    #{/if}
                    #{else}
                    ${paket.pkt_hps.rupiah()}
                    #{/else}

                </td>
            </tr>
            <tr>
                <th class="bg-warning">&{'lelang.nilai_pagu_paket'}</th>
                <td>
                    <input type="text" id="nilai_pagu"
                           name="paket.pkt_pagu" class="form-control "
                           placeholder="Nama paket" value="${paket.pkt_pagu.rupiah()}" onchange="this.value=formatCurrency(this.value);"/>
                </td>
                <th class="bg-warning">&{'lelang.kualifikasi_usaha'}</th>
                <td>
                    #{selectKualifikasi 'paket.kls_id', value:paket.kls_id /}
                </td>
            </tr>
            <tr>
                <th class="bg-warning" rowspan="2">&{'lelang.jenis_kontrak'}</th>
                <th class="bg-warning">&{'lelang.cara_pembayaran'}</th>
                <td colspan="2">
                    #{selectKontrakPembayaran 'lelangSeleksi.lls_kontrak_pembayaran', value:lelang?.lls_kontrak_pembayaran /}
                </td>
            </tr>
            <tr>
                <th class="bg-warning">&{'lelang.loc_pekerjaan'}</th>
                <td colspan="3">

                    <table class="table table-sm table-bordered" id="tblLokasi">
                        <tr>
                            <td width="150">&{'lelang.provinsi'}</td>
                            <td width="240">&{'lelang.kabupaten'}</td>
                            <td>&{'lelang.detail_loc'}</td>
                            <td width="10" ></td>
                        </tr>
                        #{list items:lokasiList, as:'lok'}
                            #{set propId:lok?.kabupaten?.prp_id /}
                            #{set i : lok_index - 1 /}
                            #{if lok.pkl_id != null}
                                <input type="hidden" name="lokasi[${i}].pkl_id" value="${lok.pkl_id}"/>
                            #{/if}
                            <tr>
                                <td>#{selectPropinsi 'propinsiId[]', value:propId /}</td>
                                <td>
                                    #{selectKabupaten 'lokasi['+i+'].kbp_id', value:lok?.kbp_id,
                                    propinsiId:propId /}
                                    <div class="invalid-feedback">#{error 'paket_lokasi_'+i+'.kbp_id' /}</div>
                                </td>
                                <td>
                                    <input type="text" id="textlokasi" name="lokasi[${i}].pkt_lokasi"
                                           class="form-control  #{validate 'paket_lokasi_'+i+'.pkt_lokasi'/}" placeholder="Alamat Detail"
                                           value="${lok?.pkt_lokasi}" />
                                    <div class="invalid-feedback">#{error 'paket_lokasi_'+i+'.pkt_lokasi' /}</div>
                                </td>
                                <td>
                                    #{if lok_index > 1}
                                        <a href="javascript:void(0)" class="removeBtn">
                                        <i class="fa fa-trash-o fa-lg"></i></a>
                                    #{/if}
                                </td>
                            </tr>
                        #{/list}
                    </table>
                    <button type="button" class="btn btn-secondary " id="tambahLokasi" value="Tambah Lokasi" >
                        <i class="fa fa-plus-circle"></i>
                        &{'lelang.tbh_loc'}
                    </button>
                </td>
            </tr>

        </table>
        <div class="form-group">
                #{set 'a'}
                &{'lelang.simpan'}
                #{/set}
                #{saveButton title:a/}
                #{backButton action:@lelang.LelangCtr.view(lelang.lls_id) /}
        </div>
    #{/form}
</div>
#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript">
    $("#nilai_hps, #nilai_pagu").keypress(function (e) {
        return isNumberKey(e);
    });

    var kabUrl = #{jsRoute @JSONCtr.daftar_kabupaten(':id') /};
    $(document).on('change', 'select.propinsi', function(){
        console.log('update')
        var id = $(this).val();
        $.cookie("paket_edit_propinsi_id", id, {expires:365, path:'${request.path}'});
        var kabupaten = $(this).parent().parent().parent().find('select.kabupaten')
        $.getJSON(kabUrl.url({id:id}), function(data){
            var options = '';
            for (var i = 0; i < data.length; i++) {
                options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
            }
            kabupaten.html(options);
            kabupaten.selectpicker('refresh');
        })
    })

    $(document).on('click', '.removeBtn', function(){
        $(this).parent().parent().remove()
    })

    $("#tambahLokasi").click(function(){
        var options = $('#tblLokasi tr select[name="propinsiId[]"]').html();
        var ind = $('#tblLokasi tr').length - 1
        var prop_id= $.cookie("paket_edit_propinsi_id");
        var addLokasi = '<tr><td><select name="propinsiId[]" class="form-control propinsi" data-live-search="true" data-width="auto">'+options+'</select></td>'+
                '<td><select name="lokasi['+ind+'].kbp_id" class="form-control kabupaten" data-placeholder="pilih kabupaten" data-live-search="true" data-width="auto"></select></td>'+
                '<td><input type="text" class="form-control" name="lokasi['+ind+'].pkt_lokasi" placeholder="Alamat Detail"></td>'+
                '<td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td></tr>'
        $("#tblLokasi").append(addLokasi);
        $("select[name='propinsiId[]']").last().prop('selectedIndex',0);
        $('#tblLokasi tr select[name="propinsiId[]"]').selectpicker('refresh');

    })

    function formatCurrency(num) {
        num = num.toString().replace(/\$|\,/g, '');
        if (isNaN(num)) {
            num = "0";
        }

        sign = (num == (num = Math.abs(num)));
        num = Math.floor(num * 100 + 0.50000000001);
        cents = num % 100;
        num = Math.floor(num / 100).toString();

        if (cents < 100) {
            cents = "0" + cents;
        }

        for (var i = 0; i < Math.floor((num.length - (1+i)) / 3); i++) {
            num = num.substring(0, num.length - (4*i+3)) + '.' + num.substring(num.length - (4*i+3));
        }

        return (((sign) ? '' : '-') + num + ',' + cents);
    }
</script>
#{/set}
